restinio::asio_timer_manager_t::timer_guard_t Class Referencefinal

Timer guard for async operations. More...

`#include <asio_timer_manager.hpp>`

## Public Member Functions

| timer_guard_t (asio_ns::io_context &io_context, std::chrono::steady_clock::duration check_period) noexcept
void | schedule (tcp_connection_ctx_weak_handle_t weak_handle)
| Schedule timeouts check invocation. More...
void | cancel () noexcept
| Cancel timeout guard if any. More...

## Private Attributes

asio_ns::steady_timer | m_operation_timer
const std::chrono::steady_clock::duration | m_check_period

## Detailed Description

Timer guard for async operations.

Definition at line 41 of file asio_timer_manager.hpp.

## Constructor & Destructor Documentation

## timer_guard_t()

restinio::asio_timer_manager_t::timer_guard_t::timer_guard_t | ( | asio_ns::io_context & | io_context,
|  | std::chrono::steady_clock::duration | check_period
| ) |  |

inlinenoexcept

Definition at line 44 of file asio_timer_manager.hpp.

## Member Function Documentation

## cancel()

void restinio::asio_timer_manager_t::timer_guard_t::cancel | ( |  | ) |

inlinenoexcept

Cancel timeout guard if any.

Note
  Since v.0.6.0 this method is noexcept.

Definition at line 74 of file asio_timer_manager.hpp.

## schedule()

void restinio::asio_timer_manager_t::timer_guard_t::schedule | ( | tcp_connection_ctx_weak_handle_t | weak_handle | ) |

inline

Schedule timeouts check invocation.

Definition at line 53 of file asio_timer_manager.hpp.

## Member Data Documentation

## m_check_period

const std::chrono::steady_clock::duration restinio::asio_timer_manager_t::timer_guard_t::m_check_period

private

Definition at line 82 of file asio_timer_manager.hpp.

## m_operation_timer

asio_ns::steady_timer restinio::asio_timer_manager_t::timer_guard_t::m_operation_timer

private

Definition at line 81 of file asio_timer_manager.hpp.

The documentation for this class was generated from the following file:

- restinio/asio_timer_manager.hpp